TSWCF

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/tswcf/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/tswcf/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1777939200000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://www.londonstockexchange.com/news-article/SWC/bitcoin-purchase-and-subscription-agreement-update/17575973",
    "holding_balance": 2805.0,
    "holding_net_change": 27.0,
    "transaction_value_usd": 2081349.0,
    "average_entry_value_usd": 77087.0,
    "transaction_value_calculated": false
  },
  {
    "date": 1778544000000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://www.smarterwebcompany.co.uk/smarterweb-co-uk/_img/pdf/news/2026-05-12-bitcoin-purchase.pdf",
    "holding_balance": 2830.0,
    "holding_net_change": 25.0,
    "transaction_value_usd": 2039816.75,
    "average_entry_value_usd": 81592.67,
    "transaction_value_calculated": false
  },
  {
    "date": 1778803200000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://www.smarterwebcompany.co.uk/smarterweb-co-uk/_img/pdf/news/2026-05-15-bitcoin-purchase.pdf",
    "holding_balance": 2840.0,
    "holding_net_change": 10.0,
    "transaction_value_usd": 796620.0,
    "average_entry_value_usd": 79662.0,
    "transaction_value_calculated": false
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/tswcf/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    2805.0
  ],
  [
    1779062400000,
    2840.0
  ],
  [
    1779148800000,
    2840.0
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/tswcf/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    217190757.3
  ],
  [
    1779062400000,
    218521726.8
  ],
  [
    1779148800000,
    217998428.4
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/tswcf/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 0.48,
    "date": "2026-05-15",
    "high": 0.4945,
    "open": 0.48,
    "close": 0.485,
    "volume": 124582
  },
  {
    "low": 0.436,
    "date": "2026-05-18",
    "high": 0.48,
    "open": 0.48,
    "close": 0.4595,
    "volume": 171242
  },
  {
    "low": 0.44,
    "date": "2026-05-19",
    "high": 0.47,
    "open": 0.441,
    "close": 0.45,
    "volume": 19631
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/tswcf/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": 0,
  "quarterly_earnings_growth": 0,
  "eps_estimate_current_quarter": 0
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/tswcf/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": -15.38,
  "six_month_return": -33.51,
  "three_month_return": -3.64
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/tswcf/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 134.3,
  "total_btc_percentage": 0.014,
  "share_price_change_state": "up"
}